Mcp Create Hook

POST
/v1/nodes/{owner_node_id}/hooks

Authorization

HTTPBearer
headerAuthorizationBearer <token>

Path Parameters

owner_node_id*Owner Node Id

Request Body

application/json
  1. body
enabled?Enabled
Defaulttrue
name*Name
rerun_policy?Rerun Policy
Default"if_inputs_changed"
scope?Scope
Default"self"
Value in"self""subtree""graph"
workflow_yaml*Workflow Yaml

Response Body

Successful Response

application/json
  1. response
hook*
[key: string]?any
Example Request
curl -X POST 'https://flywheel.paradigma.inc/api/v1/nodes/string/hooks' \  -H 'Content-Type: application/json' \  -d '{  "name": "string",  "workflow_yaml": "string"}'
Example Response
{  "hook": {    "action_config": {},    "action_type": "string",    "created_at": "string",    "enabled": true,    "hook_id": "string",    "name": "string",    "owner_node_id": "string",    "rerun_policy": "if_inputs_changed",    "scope": "self",    "trigger_event": "artifact.finalized",    "trigger_events": [      "artifact.finalized"    ],    "updated_at": "string",    "workflow": {},    "workflow_yaml": "string"  }}